{
  "env": {
    "browser": true,
    "es2021": true,
    "jest": true, // Treat Vitest globals as Jest's
    "node": true // If you're also using Node.js environment
  },
  "extends": "eslint:recommended",
  "parserOptions": {
    "ecmaVersion": "latest",
    "sourceType": "module"
  },
  "rules": {
    "no-console": "off",
    "no-unused-vars": [
      "warn",
      { "vars": "all", "args": "none", "ignoreRestSiblings": false }
    ],
    "eqeqeq": ["error", "always"],
    "curly": ["error", "all"],
    "no-trailing-spaces": "error"
  }
}

/**
no-console - By default, eslint:recommended warns against using console statements as they are considered to be debugging information. 
However, in a web application, we might decide that using console.log for logging purposes is acceptable.

no-unused-vars - By default, eslint:recommended warns against declaring variables that are never used.
However, in a web application, we might decide that it is acceptable to declare variables that are never used.

eqeqeq - By default, eslint:recommended warns against using == and != as they do type coercion.
However, in a web application, we might decide that it is acceptable to use == and !=.

curly - By default, eslint:recommended warns against omitting curly braces in control structures.
However, in a web application, we might decide that it is acceptable to omit curly braces in control structures.
*/
